#!/bin/bash

#Extraer los datos de un fichero Access .mdb para insertarlos en una base de datos MySQL

for i in `ls *.mdb`
do
	echo "Procesando esquema de $i: "
	mdb-schema $i mysql > $i.esquema.sql 

	echo "Procesando tablas de $i: "
	mdb-tables -S -1 $i > $i.txt
	echo "$i.txt"

	for tabla in `cat $i.txt`
	do
		echo "Exportando $i..."
		mdb-export -Q -I $i ${tabla}
	done > $i.datos.sql
done
