#!/bin/bash
if [ "--help" = "$1" ] || [ "0" = "$#" ]
then
    echo
    echo "Uso:"
    echo "       acentos < archivo1 archivo2 ... archivoN >"
    echo
    exit 0
fi

until [ -z "$1" ]
do
    archivo="$1"
    if [ -f $archivo ]
    then
        cp $archivo ${archivo}.bak
        cat ${archivo}.bak | sed -e 's/á/\&aacute;/g' -e 's/é/\&eacute;/g' -e 's/í/\&iacute;/g' -e 's/ó/\&oacute;/g' -e 's/ú/\&uacute;/g' -e 's/ñ/\&ntilde;/g' -e 's/Á/\&Aacute;/g' -e 's/É/\&Eacute;/g' -e 's/Í/\&Iacute;/g' -e 's/Ó/\&Oacute;/g' -e 's/Ú/\&Uacute;/g' -e 's/Ñ/\&Ntilde;/g' -e 's/©/\&copy;/g' -e 's/¡/\&iexcl;/g' -e 's/§/\&sect;/g' -e 's/ª/\&ordf;/g' -e 's/«/\&laquo;/g' -e 's/®/\&reg;/g' -e 's/±/\&plusmn;/g' -e 's/²/\&sup2;/g' -e 's/³/\&sup3;/g' -e 's/¶/\&para;/g' -e 's/º/\&ordm;/g' -e 's/»/\&raquo;/g' -e 's/¿/\&iquest;/g' -e 's/Æ/\&AElig;/g' -e 's/Ç/\&Ccedil;/g' -e 's/æ/\&aelig;/g' -e 's/ç/\&ccedil;/g' -e 's/Ü/\&Uuml;/g' -e 's/ü/\&uuml;/g' > $archivo

	echo "Procesado $archivo"

    else
        if [ -d $archivo ]
        then
            echo "$archivo: Es un directorio"
        else
            echo "$archivo: Archivo no existente"
        fi
    fi
    shift
done

mv *.bak /tmp
