#!/sbin/sh
# Parametros pasados desde Trouble Ticket
# ----------------------------------------------------------------------
# Parametros
#
#  1: Message ID
#  2: Source node
#  3: Source node type
#  4: Date created
#  5: Time created
#  6: Date received
#  7: Time received
#  8: Application
#  9: Message group
# 10: Object
# 11: Severity
# 12: Responsible operators
# 13: Message text
# 14: Instruction text (if configured)
# 15: Custom message attribute (if configured)
# 16: Number of suppressed duplicate messages
#
# Carga de las variables
message_id=$1;
source_node=$2;
source_node_type=$3;
date_created=$4;
time_created=$5;
date_received=$6;
time_received=$7;
application=$8;
message_group=$9;
object=${10};
severity=${11};
operators=${12};
message_text="${13}";
instruction="${14}";
cma=${15};	   #Definir en la consola de ovo, en la plantilla, para meter un parametro personalizado, que podria ser el servicio
supp_dup_msgs=${16};

host=`hostname`

if [ "${message_group}" = "EX_PRU" ]
then
	/opt/OV/sd/event/bin/sd_event -f /opt/OV/sd/event/bin/sd_event-ovo-sd.ini -v description="$message_group:$object" status="En
 Proceso" event_id=$message_id information="$message_text:.-," impact="Low ( 1 person affected)" priority="High"
fi

echo $host $message_id $source_node $source_node_type $date_created $time_created $date_received $time_received $application $message_group $object $severity $operators ------- $message_text ---- $instruction ---2-- $cma --3-- $supp_dup_msgs >> /tmp/ovo/salida_ovo_sd.txt
